diff --git a/base/common/src/com/netscape/certsrv/policy/IPolicyRule.java b/base/common/src/org/dogtagpki/legacy/policy/IPolicyRule.java
similarity index 98%
rename from base/common/src/com/netscape/certsrv/policy/IPolicyRule.java
rename to base/common/src/org/dogtagpki/legacy/policy/IPolicyRule.java
index 8deb10e2572737c4d815b2f4ec2219106927dce9..33d4ebe8c1ac245dce78da8a61704fa36063bdaa 100644
--- a/base/common/src/com/netscape/certsrv/policy/IPolicyRule.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IPolicyRule.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import java.util.Vector;
 
diff --git a/base/common/src/com/netscape/certsrv/policy/IPolicySet.java b/base/common/src/org/dogtagpki/legacy/policy/IPolicySet.java
similarity index 98%
rename from base/common/src/com/netscape/certsrv/policy/IPolicySet.java
rename to base/common/src/org/dogtagpki/legacy/policy/IPolicySet.java
index cc1da3fdce508fa1dbc365320dcad0e6c7764648..a9ad891e8d02b73b300dac8ea7c8fc8d3acafa44 100644
--- a/base/common/src/com/netscape/certsrv/policy/IPolicySet.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IPolicySet.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import java.util.Enumeration;
 
diff --git a/base/common/src/com/netscape/certsrv/policy/IRenewalPolicy.java b/base/common/src/org/dogtagpki/legacy/policy/IRenewalPolicy.java
similarity index 96%
rename from base/common/src/com/netscape/certsrv/policy/IRenewalPolicy.java
rename to base/common/src/org/dogtagpki/legacy/policy/IRenewalPolicy.java
index bfd44c446b3f59cbda739623910171b82da86448..b842a468019e6ed5dcd61cf3f715d0971649a472 100644
--- a/base/common/src/com/netscape/certsrv/policy/IRenewalPolicy.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IRenewalPolicy.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 /**
  * Interface for a renewal policy rule.
diff --git a/base/common/src/com/netscape/certsrv/policy/IRevocationPolicy.java b/base/common/src/org/dogtagpki/legacy/policy/IRevocationPolicy.java
similarity index 96%
rename from base/common/src/com/netscape/certsrv/policy/IRevocationPolicy.java
rename to base/common/src/org/dogtagpki/legacy/policy/IRevocationPolicy.java
index 940d240cf65c1eaba4c8ef303b4ac7e58a7b6bd3..add95422509f16896947c09a8d47e94c09691ca1 100644
--- a/base/common/src/com/netscape/certsrv/policy/IRevocationPolicy.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IRevocationPolicy.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 /**
  * Interface for a revocation policy rule.
diff --git a/base/common/src/com/netscape/certsrv/policy/ISubjAltNameConfig.java b/base/common/src/org/dogtagpki/legacy/policy/ISubjAltNameConfig.java
similarity index 97%
rename from base/common/src/com/netscape/certsrv/policy/ISubjAltNameConfig.java
rename to base/common/src/org/dogtagpki/legacy/policy/ISubjAltNameConfig.java
index 57d523cf92266c381481f5e6e87bc7a02ac8be29..fe9c1cc439365cbd4c18b9c5307d69c6f49e4584 100644
--- a/base/common/src/com/netscape/certsrv/policy/ISubjAltNameConfig.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/ISubjAltNameConfig.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 /**
  * Class that can be used to form general names from configuration file.
diff --git a/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java b/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
index a3041770aea454b2657bf1807d7f7b7be13e83d0..97100b53c6d404efe04f88478bd5c099b1413c18 100644
--- a/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
+++ b/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
@@ -28,6 +28,8 @@ import java.util.Hashtable;
 import java.util.StringTokenizer;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.kra.KRAPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
 import org.mozilla.jss.CryptoManager;
 import org.mozilla.jss.NoSuchTokenException;
 import org.mozilla.jss.crypto.CryptoToken;
@@ -46,7 +48,6 @@ import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.kra.IKeyService;
 import com.netscape.certsrv.listeners.EListenersException;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.ARequestNotifier;
 import com.netscape.certsrv.request.IPolicy;
 import com.netscape.certsrv.request.IRequest;
diff --git a/base/kra/src/com/netscape/kra/KRAPolicy.java b/base/kra/src/org/dogtagpki/legacy/kra/KRAPolicy.java
similarity index 94%
rename from base/kra/src/com/netscape/kra/KRAPolicy.java
rename to base/kra/src/org/dogtagpki/legacy/kra/KRAPolicy.java
index a2392d77ca9f626fbd273d5acb0dc2cca8819257..ae769a546cff12af7c29d2aa1dbac2cacaba79d9 100644
--- a/base/kra/src/com/netscape/kra/KRAPolicy.java
+++ b/base/kra/src/org/dogtagpki/legacy/kra/KRAPolicy.java
@@ -15,18 +15,19 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.kra;
+package org.dogtagpki.legacy.kra;
+
+import org.dogtagpki.legacy.core.policy.GenericPolicyProcessor;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
 
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cmscore.policy.GenericPolicyProcessor;
 import com.netscape.cmscore.util.Debug;
 
 /**
diff --git a/base/server/cms/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java b/base/server/cms/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
index 776c9d2900eec1169f75fc28b23ceeee23fbc3a8..1fe9c870cbcca0175b6d2fa58f8de1056a86ff5e 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
@@ -28,6 +28,9 @@ import javax.servlet.ServletException;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.policy.IPolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.base.EBaseException;
@@ -39,8 +42,6 @@ import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IPolicyProcessor;
-import com.netscape.certsrv.policy.IPolicyRule;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 
 /**
diff --git a/base/server/cms/src/com/netscape/cms/servlet/cert/EnrollServlet.java b/base/server/cms/src/com/netscape/cms/servlet/cert/EnrollServlet.java
index a0b97500746124e8b9790c742ad36cca729fe6c4..91caccf6cbf5cfc5afb05cfac754ade876abdf5b 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/cert/EnrollServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/cert/EnrollServlet.java
@@ -33,6 +33,8 @@ import javax.servlet.ServletOutputStream;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+
 import netscape.security.pkcs.PKCS10;
 import netscape.security.x509.AlgorithmId;
 import netscape.security.x509.CertificateAlgorithmId;
@@ -58,7 +60,6 @@ import com.netscape.certsrv.dbs.certdb.ICertRecordList;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.certsrv.usrgrp.IGroup;
diff --git a/base/server/cms/src/com/netscape/cms/policy/APolicyRule.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/APolicyRule.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/APolicyRule.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/APolicyRule.java
index 0551927db3b8b1f7c2e3b13f63bfd9b99172ce75..d1108d2303a217e399fbde0e49f5f29975caa3dd 100644
--- a/base/server/cms/src/com/netscape/cms/policy/APolicyRule.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/APolicyRule.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy;
+package org.dogtagpki.legacy.server.policy;
 
 import java.io.IOException;
 import java.security.InvalidKeyException;
@@ -24,14 +24,15 @@ import java.security.NoSuchAlgorithmException;
 import java.security.cert.CertificateException;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IExpression;
+import org.dogtagpki.legacy.policy.IPolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IExpression;
-import com.netscape.certsrv.policy.IPolicyRule;
 import com.netscape.certsrv.request.AgentApprovals;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/AgentPolicy.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/AgentPolicy.java
similarity index 96%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/AgentPolicy.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/AgentPolicy.java
index c935bf66390c0dcf5ed21e57ebd585daae0a1e28..75de9974895e011a795edd31327751f648e98011 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/AgentPolicy.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/AgentPolicy.java
@@ -15,19 +15,20 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.AgentApprovals;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 /**
  * AgentPolicy is an enrollment policy wraps another policy module.
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/AttributePresentConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/AttributePresentConstraints.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/AttributePresentConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/AttributePresentConstraints.java
index 0755a3a01b3a5b2e3cf754834ab28708283f7a61..d71bb6c38af15d3c245eaf88fc07581b99e45dc8 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/AttributePresentConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/AttributePresentConstraints.java
@@ -15,13 +15,16 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Enumeration;
 import java.util.Hashtable;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
@@ -29,10 +32,8 @@ import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ldap.ILdapConnFactory;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.ldap.LDAPAttribute;
 import netscape.ldap.LDAPConnection;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/DSAKeyConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/DSAKeyConstraints.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/DSAKeyConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/DSAKeyConstraints.java
index 0b8c82fbe45abab88be6577829cd9f98407b412a..4a5c6e7c1c4c61e5bfb00bd4beb3dda13910e957 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/DSAKeyConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/DSAKeyConstraints.java
@@ -15,24 +15,25 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.math.BigInteger;
 import java.security.interfaces.DSAParams;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.provider.DSAPublicKey;
 import netscape.security.x509.CertificateX509Key;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/DefaultRevocation.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/DefaultRevocation.java
similarity index 93%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/DefaultRevocation.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/DefaultRevocation.java
index 19c4ae1931e63df4eb380a6ad77465c909ac73e5..b46a3e77c0238598b603a6945ace24086c57bfb6 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/DefaultRevocation.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/DefaultRevocation.java
@@ -15,19 +15,20 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IRevocationPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IRevocationPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 /**
  * This is the default revocation policy. Currently this does
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/IssuerConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/IssuerConstraints.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/IssuerConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/IssuerConstraints.java
index 645a63cb554138870e941f68226a692283a946e2..87ea1945be73bc98712eafd9a8f775882afea8cf 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/IssuerConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/IssuerConstraints.java
@@ -15,21 +15,22 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.X500Name;
 import netscape.security.x509.X509CertInfo;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/KeyAlgorithmConstraints.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/KeyAlgorithmConstraints.java
index c8f8d8469c2b5a90d90fae58d11029b7bff032a3..acd0b985f679df4aa9ea92a8fd06470e36fb309d 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/KeyAlgorithmConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/KeyAlgorithmConstraints.java
@@ -15,22 +15,23 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.StringTokenizer;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateX509Key;
 import netscape.security.x509.X509CertInfo;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/ManualAuthentication.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/ManualAuthentication.java
similarity index 93%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/ManualAuthentication.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/ManualAuthentication.java
index 80396497ca60b5922c6f2f3887e07dfd3520496f..d1277a06729fa1152819108e72b1d84b55c7204d 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/ManualAuthentication.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/ManualAuthentication.java
@@ -15,18 +15,19 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 /**
  * ManualAuthentication is an enrollment policy that queues
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/RSAKeyConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RSAKeyConstraints.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/RSAKeyConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RSAKeyConstraints.java
index 9e6df7c70ee0830bd7bc7f01d26af62054eb09c5..b83b264df92cd8ab2d9c3a226017c5fa1510e2a1 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/RSAKeyConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RSAKeyConstraints.java
@@ -15,23 +15,24 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.StringTokenizer;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.provider.RSAPublicKey;
 import netscape.security.util.BigInt;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/RenewalConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RenewalConstraints.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/RenewalConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RenewalConstraints.java
index b38563bfcf1cb0f031e3d922435d99d954af14ef..618fd8f7a8c52ac1e35b3adbb61872b0e6691d61 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/RenewalConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RenewalConstraints.java
@@ -15,22 +15,23 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Date;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IRenewalPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IRenewalPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateValidity;
 import netscape.security.x509.X509CertImpl;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RenewalValidityConstraints.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RenewalValidityConstraints.java
index df5774bd6f4bf23a6adca37b15246f3e65c78377..d90642f7ab1dd4af8c7122bad17c9586d670a75f 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/RenewalValidityConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RenewalValidityConstraints.java
@@ -15,21 +15,22 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Date;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IRenewalPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IRenewalPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 import com.netscape.cmsutil.util.Utils;
 
 import netscape.security.x509.CertificateValidity;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/RevocationConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RevocationConstraints.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/RevocationConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RevocationConstraints.java
index bbdb9af67e793c198261c3108fcbc2af86b375e9..1a87ca4b8893706d8f7236d23c24ded9a9e6067d 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/RevocationConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/RevocationConstraints.java
@@ -15,22 +15,23 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Date;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IRevocationPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IRevocationPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateValidity;
 import netscape.security.x509.RevocationReason;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/SigningAlgorithmConstraints.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/SigningAlgorithmConstraints.java
index 59fde827d9bb485a3f02dd9a282505000947b579..f2a976cf37d7f5861e3257a116271ca98dd6b872 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/SigningAlgorithmConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/SigningAlgorithmConstraints.java
@@ -15,12 +15,17 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Locale;
 import java.util.StringTokenizer;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.authority.ICertAuthority;
@@ -29,12 +34,8 @@ import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.AlgorithmId;
 import netscape.security.x509.CertificateAlgorithmId;
